## casio 2.2

=== Makefile ===
linux:	boss.c illum.c readconf.c tildexpand.c
	gcc     -I.      -g   -c boss.c -o boss.o
	gcc     -I.      -g   -c illum.c -o illum.o
	gcc     -I.      -g   -c readconf.c -o readconf.o
	gcc     -I.      -g   -c tildexpand.c -o tildexpand.o
	rm -f boss illum
	gcc -o boss boss.o readconf.o tildexpand.o
	gcc -o illum illum.o readconf.o tildexpand.o
Sunos:	boss.c illum.c readconf.c tildexpand.c
	gcc     -I.  -Dsunos    -g   -c boss.c -o boss.o
	gcc     -I.   -Dsunos   -g   -c illum.c -o illum.o
	gcc     -I.    -Dsunos  -g   -c readconf.c -o readconf.o
	gcc     -I.   -Dsunos   -g   -c tildexpand.c -o tildexpand.o
	rm -f boss illum
	gcc -o boss boss.o readconf.o tildexpand.o
	gcc -o illum illum.o readconf.o tildexpand.o
Solaris2:	boss.c illum.c readconf.c tildexpand.c
	gcc     -I.  -Dsunos    -g   -c boss.c -o boss.o
	gcc     -I.   -Dsunos   -g   -c illum.c -o illum.o
	gcc     -I.    -Dsunos  -g   -c readconf.c -o readconf.o
	gcc     -I.   -Dsunos   -g   -c tildexpand.c -o tildexpand.o
	rm -f boss illum
	gcc -o boss boss.o readconf.o tildexpand.o
	gcc -o illum illum.o readconf.o tildexpand.o
suck:   5x80-utils.c suck5x80.c
	gcc     -I.      -g   -c suck5x80.c -o suck5x80.o
	gcc -o suck suck5x80.o
illum:  illum.c
	gcc     -I.      -g   -c illum.c -o illum.o
	gcc     -I.      -g   -c readconf.c -o readconf.o
	gcc     -I.      -g   -c tildexpand.c -o tildexpand.o
	gcc -o illum readconf.o tildexpand.o illum.o
boss:  boss.c
	gcc     -I.      -g   -c boss.c -o boss.o
	gcc     -I.      -g   -c readconf.c -o readconf.o
	gcc     -I.      -g   -c tildexpand.c -o tildexpand.o
	gcc -o boss readconf.o  tildexpand.o boss.o
clean:
	rm -f *.o suck boss illum

## casio 2.2-5

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 linux:	boss.c illum.c readconf.c tildexpand.c
-	gcc     -I.      -g   -c boss.c -o boss.o
-	gcc     -I.      -g   -c illum.c -o illum.o
-	gcc     -I.      -g   -c readconf.c -o readconf.o
-	gcc     -I.      -g   -c tildexpand.c -o tildexpand.o
+	gcc     -I.      -O2   -c boss.c -o boss.o
+	gcc     -I.      -O2   -c illum.c -o illum.o
+	gcc     -I.      -O2   -c readconf.c -o readconf.o
+	gcc     -I.      -O2   -c tildexpand.c -o tildexpand.o
 	rm -f boss illum
-	gcc -o boss boss.o readconf.o tildexpand.o
-	gcc -o illum illum.o readconf.o tildexpand.o
+	gcc -s -o boss boss.o readconf.o tildexpand.o
+	gcc -s -o illum illum.o readconf.o tildexpand.o
 Sunos:	boss.c illum.c readconf.c tildexpand.c
 	gcc     -I.  -Dsunos    -g   -c boss.c -o boss.o
 	gcc     -I.   -Dsunos   -g   -c illum.c -o illum.o

=== debian/changelog ===
casio (2.2-5) unstable; urgency=low

  * Included cable schematics to build hardware, taken from www-servers

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun,  6 Sep 1998 03:26:45 +0200

casio (2.2-4) unstable; urgency=low

  * New Maintainer

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 19 Aug 1998 14:33:40 +0200

casio (2.2-3) unstable; urgency=low

  * Added mising #include (Bug #22535).
  * Lintian 0.4.4 satisfied.

 -- Milan Zamazal <pdm@fi.muni.cz>  Mon, 18 May 1998 19:23:39 +0200

casio (2.2-2) unstable; urgency=low

  * Typo in description fixed.
  * Lintian 0.3.1 satisfied.

 -- Milan Zamazal <pdm@fi.muni.cz>  Thu, 12 Mar 1998 12:57:27 +0100

casio (2.2-1) unstable; urgency=low

  * New upstream version.
  * Small bug in upstream sources causing segfault corrected.
  * More changes in `rules' etc. due to new upstream version.
  * Use `dh_md5sums'.
  * Lintian 0.2.3 satisfied.

 -- Milan Zamazal <pdm@fi.muni.cz>  Fri, 20 Feb 1998 18:19:10 +0100

casio (2.1.0-4) unstable; urgency=low

  * `checksums' renamed to `md5sums'.
  * Standards 2.4.0.0.

 -- Milan Zamazal <pdm@fi.muni.cz>  Fri, 13 Feb 1998 18:08:06 +0100

casio (2.1.0-3) unstable; urgency=low

  * Upstream sources location updated.
  * `-isp' flag added to dpkg-gencontrol.
  * More error safe `rules'.
  * Gzip `changelog.Debian'.
  * Use `$(package)' rather than package name in `rules'.
  * `HISTORY' file renamed to `changelog' and gzipped.
  * Standards 2.3.0.1.

 -- Milan Zamazal <pdm@fi.muni.cz>  Mon, 12 Jan 1998 19:19:32 +0100

casio (2.1.0-2) unstable; urgency=low

  * Bad permissions of doc files corrected (Bug #13481).

 -- Milan Zamazal <pdm@fi.muni.cz>  Tue, 30 Sep 1997 10:18:47 +0200

casio (2.1.0-1) unstable; urgency=low

  * New upstream version.
  * `Architecture' field change to `any' (maybe it works on other archs).
  * Does not use `debstd'.
  * Compiled with libc6.

 -- Milan Zamazal <pdm@fi.muni.cz>  Fri, 29 Aug 1997 15:11:17 +0200

casio (2.01-2) unstable; urgency=low

  * Moved to standards version 2.1.2.2 and new debmake standards.
  * Created simple manpage.
  * Fixed bad file permissions.

 -- Milan Zamazal <pdm@fi.muni.cz>  Mon, 6 Jan 1997 15:29:21 +0100

casio (2.01-1) unstable; urgency=low

  * Initial Release.

 -- Milan Zamazal <pdm@fi.muni.cz>  Fri, 1 Nov 1996 00:24:39 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: casio
Section: comm
Priority: extra
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Standards-Version: 2.4.0.0

Package: casio
Architecture: any
Depends: ${shlibs:Depends}
Description: Backup utility for the CASIO diary.
 It is a package ported from DOS to allow communication to the CASIO
 series of hand-held organizers.  It allows backup from CASIO to your
 computer and restore a backup file from your computer to the CASIO.  It
 can also output human readable file from CASIO.
 Currently supports: phone, calendar, schedule, memo, and reminder.
 .
 Read the documentation before using this program!

=== debian/rules ===
#!/usr/bin/make -f

package=casio
binaries=boss illum

build:
	$(checkdir)
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	make clean
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	dh_installdirs `cat debian/dirs`
	set -e; for i in $(binaries); do \
		install -m 755 $$i debian/tmp/usr/bin/casio-$$i; done
	install illum debian/tmp/usr/bin/casio-illum
	install -m 644 man.page debian/tmp/usr/man/man1/casio.1
	install -m 644 CABLES CREDITS INSTALL MODELS.TESTED README* \
		TODO WHATS-NEW-2.2 debian/README* casiorc.default circuit.txt \
		debian/tmp/usr/doc/$(package)/
	gzip -9 `find debian/tmp/usr/man -type f 2>/dev/null`
	set -e; for i in $(binaries); do \
		ln -s casio.1.gz debian/tmp/usr/man/man1/casio-$$i.1.gz; done
	gzip -9 `find debian/tmp/usr/doc -type f -size +4k ! -name "*.htm*"`
	dh_installdocs REVISION-HISTORY circuit.gif circuit2.gif
	dh_installdocs cable-schem/* 
	dh_installchangelogs
	install -m 644 debian/copyright debian/tmp/usr/doc/$(package)/
	strip `find debian/tmp -type f -perm +111 | xargs file | fgrep ELF | sed 's/^\([^:]*\):.*$$/\1/'`
	dh_installmenu
	dpkg-shlibdeps `find debian/tmp -type f -perm +111 | xargs file | fgrep ELF | sed 's/^\([^:]*\):.*$$/\1/'`
	dh_md5sums
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary: binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

#Local variables:
#mode: makefile
#End:
